<?php

/**
* MyBB Plugin:  Supermoderator Restriction.
* -------------------------------------------------------------------------------------------
* http://www.forumsecurity.eu
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://www.forumsecurity.eu
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("postbit", "no_ip_posts");
$plugins->add_hook("modcp_start", "no_ip_search");


function supermoderator_restriction_info()
{
	return array(
		"name"			=> "Süper Moderatör Kısıtlama",
		"description"	=> "Süper moderatörler için mesaj ve modkp de ip aramaları ve ip adreslerini görmek mümkün olmayacaktır.",
		"website"		=> "http://www.forumsecurity.eu/",
		"version"		=> "1.0",
		"author"		=> "babjusi",
		"authorsite"	=> "http://www.forumsecurity.eu",
		"compatibility"  => "14*",
		'guid'        => ''
	);
}
function supermoderator_restriction_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'supermoderatorrestriction',
		'title' => 'Süper Moderatör Kısıtlama Ayarlar',
		'description' => 'Eklenti ayarlarını buradan yapabilirsiniz.',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'postip',
		'title' => 'Süper Moderatör gelen mesajlar içinde IP adresleri gizle?',
		'description' => 'Eğer etkin ise Süper Moderatör yazıların içinde ip adreslerini görmek mümkün olmayacaktır.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$setting_2 = array(
		'name' => 'hideipmodcp',
		'title' => 'Süper Moderatör İçin ip aramayı kısıtla?',
		'description' => 'Eğer etkin ise Süper Moderatör modkp de ip arama seçeneği kullanmak mümkün olmayacaktır.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting_2);
	
    rebuild_settings();
}

function supermoderator_restriction_deactivate()
{
	global $db;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='postip'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='hideipmodcp'");	

rebuild_settings();
}
	
function no_ip_posts(&$post)	
{
global $mybb, $settings, $db;	

if($mybb->settings['postip'] == 1)
{
if ($mybb->usergroup['issupermod'] && $mybb->usergroup['cancp'] == 0)
{
$post['iplogged'] = "";
}
}
}

function no_ip_search()	
{
global $mybb, $settings, $db;	

if($mybb->settings['hideipmodcp'] == 1)
{
if ($mybb->usergroup['issupermod'] && $mybb->usergroup['cancp'] == 0 && $mybb->input['action'] == "ipsearch")
{

error("Üzgünüz, bir hata oluştu. Bu özelliği kullanmak için izin verilmez.");
}
}
}

?>